Package org.apache.qpid.proton.codec.messaging

# Class FastPathHeaderType

java.lang.Object
org.apache.qpid.proton.codec.messaging.FastPathHeaderType

All Implemented Interfaces:
  `AMQPType<Header>`, `FastPathDescribedTypeConstructor<Header>`, `TypeConstructor<Header>`

public class FastPathHeaderType extends Object implements AMQPType<Header>, FastPathDescribedTypeConstructor<Header>

## Constructor Summary

Constructors
Constructor
Description
`FastPathHeaderType(EncoderImpl encoder)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`encodesJavaPrimitive()`
`Collection<? extends TypeEncoding<Header>>`
`getAllEncodings()`
`TypeEncoding<Header>`
`getCanonicalEncoding()`
`DecoderImpl`
`getDecoder()`
`EncoderImpl`
`getEncoder()`
`TypeEncoding<Header>`
`getEncoding(Header header)`
`Class<Header>`
`getTypeClass()`
`Header`
`readValue()`
`static void`
`register(Decoder decoder, EncoderImpl encoder)`
`void`
`skipValue()`
`void`
`write(Header value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FastPathHeaderType

public FastPathHeaderType(EncoderImpl encoder)

## Method Details

### getEncoder

public EncoderImpl getEncoder()

### getDecoder

public DecoderImpl getDecoder()

### readValue

public Header readValue()

Specified by:
  `readValue` in interface `TypeConstructor<Header>`

### skipValue

public void skipValue()

Specified by:
  `skipValue` in interface `TypeConstructor<Header>`

### encodesJavaPrimitive

public boolean encodesJavaPrimitive()

Specified by:
  `encodesJavaPrimitive` in interface `TypeConstructor<Header>`

### getTypeClass

public Class<Header> getTypeClass()

Specified by:
  `getTypeClass` in interface `AMQPType<Header>`
Specified by:
  `getTypeClass` in interface `TypeConstructor<Header>`

### getEncoding

public TypeEncoding<Header> getEncoding(Header header)

Specified by:
  `getEncoding` in interface `AMQPType<Header>`

### getCanonicalEncoding

public TypeEncoding<Header> getCanonicalEncoding()

Specified by:
  `getCanonicalEncoding` in interface `AMQPType<Header>`

### getAllEncodings

public Collection<? extends TypeEncoding<Header>> getAllEncodings()

Specified by:
  `getAllEncodings` in interface `AMQPType<Header>`

### write

public void write(Header value)

Specified by:
  `write` in interface `AMQPType<Header>`

### register

public static void register(Decoder decoder, EncoderImpl encoder)